<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_8</title>
</head>
<body>
    <h1>Capitulo 8</h1>
    <a>Ejercicio 6</a>

    <script>   

        const torreHanoi = (n, varilla, otraVarilla, aux) => { 

            if (n === 0) {
                return;
            }

            torreHanoi(n - 1, varilla, aux, otraVarilla);
            console.log(`Se mueve el disco ${n} de la varilla ${varilla} a la varilla ${otraVarilla}`);
            torreHanoi(n - 1, aux, otraVarilla, varilla);
        }
 
        let n = 4;
        torreHanoi(n, 'A', 'C', 'B');


        
</script>
    
</body>
</html>